import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AccountManagementConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/account_management#id AccountManagement#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Name of the account to be created
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/account_management#name AccountManagement#name}
    */
    readonly name: string;
    /**
    * A description of what this parsing rule represents.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/account_management#region AccountManagement#region}
    */
    readonly region: string;
    /**
    * timeouts block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/account_management#timeouts AccountManagement#timeouts}
    */
    readonly timeouts?: AccountManagementTimeouts;
}
export interface AccountManagementTimeouts {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/newrelic/r/account_management#create AccountManagement#create}
    */
    readonly create?: string;
}
export declare function accountManagementTimeoutsToTerraform(struct?: AccountManagementTimeoutsOutputReference | AccountManagementTimeouts | cdktf.IResolvable): any;
export declare class AccountManagementTimeoutsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    private resolvableValue?;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): AccountManagementTimeouts | cdktf.IResolvable | undefined;
    set internalValue(value: AccountManagementTimeouts | cdktf.IResolvable | undefined);
    private _create?;
    get create(): string;
    set create(value: string);
    resetCreate(): void;
    get createInput(): string | undefined;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/newrelic/r/account_management newrelic_account_management}
*/
export declare class AccountManagement extends cdktf.TerraformResource {
    static readonly tfResourceType = "newrelic_account_management";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/newrelic/r/account_management newrelic_account_management} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AccountManagementConfig
    */
    constructor(scope: Construct, id: string, config: AccountManagementConfig);
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _region?;
    get region(): string;
    set region(value: string);
    get regionInput(): string | undefined;
    private _timeouts;
    get timeouts(): AccountManagementTimeoutsOutputReference;
    putTimeouts(value: AccountManagementTimeouts): void;
    resetTimeouts(): void;
    get timeoutsInput(): AccountManagementTimeouts | cdktf.IResolvable | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
